commit:     f6712f61bbf63caea19c3f3588ee746ad6b58ab5
Author:     Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 27 02:45:37 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Tue Jun 27 02:48:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f6712f61

dev-python/astroquery: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-python/astroquery/Manifest                |  1 +
 dev-python/astroquery/astroquery-0.3.5.ebuild | 60 +++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/astroquery/Manifest b/dev-python/astroquery/Manifest
index 0f04dd09c76..65d796330e1 100644
--- a/dev-python/astroquery/Manifest
+++ b/dev-python/astroquery/Manifest
@@ -1,2 +1,3 @@
 DIST astroquery-0.3.1.tar.gz 2786634 SHA256 
ad67bf4f31bc9e0c45621a19f7200d701ff7b5df2d78e9ba7095e65a2f69c50d SHA512 
e92f10dcdc4ced5c6841b35b7afc0ae645231810ae2951a04cc1c014819096bfd9296b1bc6d0f925a59e64e9011ec3f2436e36d0ec2181d271eb0aeba80906c8
 WHIRLPOOL 
ac91041f9bce69945000ded78a39992d724ce7a32937c4803daa51556c2b8ef4984c8da5b6ae1ae4b1e1747ae6ce83d13ee180bbe361b0aaa9ae6a7900010000
 DIST astroquery-0.3.2.tar.gz 2391386 SHA256 
06a03e38bdc8e193f8729f1b3c0ae7e2fb364187e2215d7ad2a20aef44feff3d SHA512 
445d1578cd8c86cdfdfba4cc25868c31884ef764b4617da982e24403d9d071cc80e54bd431a50da433f2775ee4dbf747129268b244448cbac4438a21fd16ddad
 WHIRLPOOL 
c7227cf827d88d02b093bbf34e6b009053fa6b6dab49258e7c677fc2fec9228e39379c255ccca9b89cae932be97279107eae8a2bf292888d7f5697f8c62678a4
+DIST astroquery-0.3.5.tar.gz 2815313 SHA256 
5a27038f81d9875f17f3e0e7a3e958813816b2b612469ceec1972b6e79b06146 SHA512 
acd1a18f655c7d48dab5ec508a6efa6610686400ebe59716efa6eedea3bcf75bc5febcb483023ecead8b51db065763409be14c7ffb68cf37a5e8aa654246b26b
 WHIRLPOOL 
0ce014c69127958311cbe55b0e6f8ab74dc9615f55d20b8e6566dc5afce8769dece0295ca71c1874e0d94730f0c21205c8e75fc0048e04f3112762bec082299e

diff --git a/dev-python/astroquery/astroquery-0.3.5.ebuild 
b/dev-python/astroquery/astroquery-0.3.5.ebuild
new file mode 100644
index 00000000000..efe37e1cdcf
--- /dev/null
+++ b/dev-python/astroquery/astroquery-0.3.5.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="Collection of packages to access online astronomical resources"
+HOMEPAGE="https://github.com/astropy/astroquery";
+SRC_URI="https://github.com/astropy/astroquery/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+DOCS=( README.rst )
+
+RDEPEND="
+       dev-python/astropy[${PYTHON_USEDEP}]
+       dev-python/astropy-helpers[${PYTHON_USEDEP}]
+       dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/keyring[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/aplpy[${PYTHON_USEDEP}]
+                       dev-python/pyregion[${PYTHON_USEDEP}]
+                       dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+       sed -i -e '/auto_use/s/True/False/' setup.cfg || die
+       sed -i -e "s/= 'APLpy'/= 'aplpy'/" astroquery/conftest.py || die
+       xdg_environment_reset
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_compile_all() {
+       if use doc; then
+               python_setup
+               VARTEXFONTS="${T}"/fonts \
+                       MPLCONFIGDIR="${BUILD_DIR}" \
+                       PYTHONPATH="${BUILD_DIR}"/lib \
+                       esetup.py build_sphinx
+       fi
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to